#ifndef CONFIG_H
#define CONFIG_H


/* Set to 1 if you have <endian.h> */
#define HAVE_ENDIAN_H 1

/* Set to 1 if you have <sys/select.h> */
#define HAVE_SYS_SELECT_H 1

/* Set to 1 if you have <sys/dirent.h> */
#define HAVE_DIRENT_H 1

/* Set to 1 if you have <unistd.h> */
#define HAVE_UNISTD_H 1

/* Set to 1 if you have <string.h> */
#define HAVE_STRING_H 1

/* Set to 1 if you have <limits.h> */
#define HAVE_LIMITS_H 1

/* Set to 1 if you have <stdarg.h>  */
#define HAVE_STDARG_H 1

/* Set to 1 if you have <sys/utsname.h>  */
#define HAVE_SYS_UTSNAME_H 1

/* Set to 1 if you have <sys/ioctl.h>  */
#define HAVE_SYS_IOCTL_H 1

/* Set to 1 if you have <getopt.h>  */
#define HAVE_GETOPT_H 1

/* Set to 1 if you have POSIX */
#define _POSIX_VERSION 1


/* Set to 1 if you have standard C headers */
#define STDC_HEADERS 1

/* Set to 1 if you have snprintf() in the C library */
#define HAVE_SNPRINTF 1

/* Set to 1 if your standard system headers declare snprintf() */
#define HAVE_SNPRINTF_DECL 1

/* Set to 1 if you have vsnprintf() in the C library */
#define HAVE_VSNPRINTF 1

/* Set to 1 if your standard system headers declare vsnprintf() */
#define HAVE_VSNPRINTF_DECL 1

/* Set to 1 if you have strerror() */
#define HAVE_STRERROR 1

/* Set to 1 if you have isinf() */
#define HAVE_ISINF 1

/* Set to 1 if you have gethostname() */
#define HAVE_GETHOSTNAME 1

/* Set to 1 if you have inet_aton() */
#define HAVE_INET_ATON 1

/* Set to 1 if you have fcvt() */
#define HAVE_FCVT 1

/* Set to 1 if you have rint() */
#define HAVE_RINT 1

/* Set to 1 if you have memmove() */
#define HAVE_MEMMOVE 1

/* Set to 1 if you have sigprocmask() */
#define HAVE_STRCASECMP 1

/* Set to 1 if you have strtol() */
#define HAVE_STRTOL 1

/* Set to 1 if you have strtoul() */
#define HAVE_STRTOUL 1

/* Set to 1 if you have strdup() */
#define HAVE_STRDUP 1

/* Set to 1 if you have random() */
#define HAVE_RANDOM 1

/* Set to 1 if you have srandom() */
#define HAVE_SRANDOM 1

/* Define if you have dlopen() */
#define HAVE_DLOPEN 1

/* Define if you have fdatasync() */
#define HAVE_FDATASYNC 1

#define HAVE_MEMCHR 1

#define HAVE_STRSTR 1

#define HAVE_STRNCASECMP 1

#define HAVE_STRPBRK 1

#define HAVE_MKTIME 1

#define HAVE_ISATTY 1

#define HAVE_STRTOLL 1

#define HAVE_STRTOULL 1

#define HAVE_ATEXIT 1

#define HAVE_SELECT 1


/* Set to 1 if type "long int" works and is 64 bits */
#define HAVE_LONG_LONG_INT_64 1

/* Set to 1 if type "long long int" constants should be suffixed by LL */
#define HAVE_LL_CONSTANTS 1

/* Define this as the appropriate snprintf format for 64-bit ints, if any */
#define INT64_FORMAT "%lld"

/* Define Alignments */
#define ALIGNOF_SHORT 2
#define ALIGNOF_INT 4
#define ALIGNOF_LONG 4
#define ALIGNOF_LONG_LONG_INT 4
#define ALIGNOF_DOUBLE 4
#define MAXIMUM_ALIGNOF 4

#define RETSIGTYPE int

#include <unistd.h>
#include <getopt.h>
#include "netware.h"

#endif /* CONFIG_H */
